org.apache.tapestry5.internal.webresources

## Class CoffeeScriptCompiler

- java.lang.Object
- - org.apache.tapestry5.internal.webresources.CoffeeScriptCompiler

- All Implemented Interfaces:
    ResourceTransformer

      public class CoffeeScriptCompiler
      extends Object
      implements ResourceTransformer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoffeeScriptCompiler(Resource mainCompiler, Resource shim, OperationTracker tracker)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContentType` | `getTransformedContentType()` Returns the MIME type of a transformed stream.
    `InputStream` | `transform(Resource source, ResourceDependencies dependencies)` Read the source input stream and provide a new input stream of the transformed content.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CoffeeScriptCompiler

          public CoffeeScriptCompiler(@Path(value="classpath:org/apache/tapestry5/webresources/internal/coffee-script.js")
                                      Resource mainCompiler,
                                      @Path(value="classpath:org/apache/tapestry5/webresources/internal/invoke-coffeescript.js")
                                      Resource shim,
                                      OperationTracker tracker)

  - ### Method Detail

    - #### getTransformedContentType

          public ContentType getTransformedContentType()

      Description copied from interface: `ResourceTransformer`
      Returns the MIME type of a transformed stream.
      Specified by:
        `getTransformedContentType` in interface `ResourceTransformer`

    - #### transform

          public InputStream transform(Resource source,
                                       ResourceDependencies dependencies)
                                throws IOException

      Description copied from interface: `ResourceTransformer`
      Read the source input stream and provide a new input stream of the transformed content.
      Specified by:
        `transform` in interface `ResourceTransformer`
      Parameters:
        `source` - input content
        `dependencies` - allows additional dependencies of the source to be tracked
      Returns:
        stream of output content
      Throws:
        `IOException`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.